/*

 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.entidad;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import javax.persistence.Basic;
import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.persistence.Transient;

import org.apache.commons.collections.CollectionUtils;
import org.apache.commons.collections.Predicate;
import org.apache.commons.lang.BooleanUtils;
import org.hibernate.annotations.Where;

import com.rjconsultores.ventaboletos.enums.TipoCstGratuidade;

import br.com.rjconsultores.auditador.annotations.AuditarAtributo;
import br.com.rjconsultores.auditador.annotations.AuditarID;
import br.com.rjconsultores.auditador.annotations.NaoAuditar;
import br.com.rjconsultores.auditador.interfaces.Auditavel;

/**
 *
 * @author Rafius
 */ 

@Entity
@SequenceGenerator(name = "EMPRESA_SEQ", sequenceName = "EMPRESA_SEQ", allocationSize = 1)
@Table(name = "EMPRESA")
public class Empresa implements Serializable, Auditavel<Empresa> {

	private static final long serialVersionUID = 1L;
	@Id
	@Basic(optional = false)
	@GeneratedValue(strategy = GenerationType.AUTO, generator = "EMPRESA_SEQ")
	@Column(name = "EMPRESA_ID")
	@AuditarID
	private Integer empresaId;
	
	@Column(name = "NOMBEMPRESA")
	private String nombempresa;
	@Column(name = "ACTIVO")
	private Boolean activo;
	@Basic(optional = false)
	@Column(name = "FECMODIF")
	@Temporal(TemporalType.TIMESTAMP)
	private Date fecmodif;
	@Column(name = "USUARIO_ID")
	private Integer usuarioId;
	@OneToMany(mappedBy = "empresa")
	private List<PuntoVenta> puntoVentaList;
	@Column(name = "INDEXTERNA")
	private Boolean indExterna;
	@Column(name = "INDTIPO")
	private Short indTipo;
	@Column(name = "INDPAGOCONDUCTOR")
	private Boolean pagoConductor;
	@OneToMany(mappedBy = "empresa")
	private List<Corrida> corridaList;
	@OneToMany(mappedBy = "empresa1")
	private List<Corrida> corridaList1;
	@Column(name = "EQUIVALENCIAELEKTRA_ID")
	private String equivalenciaElektraId;
	@Column(name = "EQUIVALENCIA_ID")
	private String equivalenciaId;
	@Column(name = "RFC")
	private String rfc;
	@Column(name = "CNPJ")
	private String cnpj;
	@Column(name = "LOGRADOURO")
	private String logradouro;
	@Column(name = "NUMERO")
	private String numero;
	@Column(name = "COMPLEMENTO")
	private String complemento;
	@Column(name = "CEP")
	private String cep;
	@Column(name = "BAIRRO")
	private String bairro;
	@Column(name = "CODANTT")
	private String codantt;
	@Column(name = "CODDER")
	private String codder;
	@OneToOne(cascade = CascadeType.MERGE)
	@JoinColumn(name = "CIUDAD_ID")
	private Ciudad cidade;
	@OneToMany(mappedBy = "empresa")
	private List<EmpresaImposto> empresaImpostoList;
	@Column(name = "NUMTELEFONO")
	private String numtelefono;
	@Column(name = "NUMTELSACDEF")
	private String numtelsacdef;
	@Column(name = "INDCARBOLETOSDEVOLVIDOSCONF")
	private Boolean indcarboletosdevolvidosconf;
	@Column(name = "INDBILHETEDEVDEBITODINHEIRO")
	private Boolean indBilheteDevDebitoDinheiro;

	@Column(name = "INDBOLETOAGRUPADO")
	private Boolean indBoletoAgrupado;

	@Column(name = "INDVALIDABLOQUEIOECF")
	private Boolean indvalidabloqueioecf;

	@Column(name = "INDFECHATARIFA")
	private Boolean indfechatarifa;
	
	@Column(name = "INDEXIGEBPEEXCESSOBAGAGEM")
	private Boolean indExigeBpeExcessoBagagem;
	
	@Column(name = "INDVENDEBILHETESEMELHANTE")
	private Boolean indVendeDeBilheteSemelhante;

	@OneToMany(mappedBy = "empresa")
	private List<InscricaoEstadual> inscricoesEstaduais;

    @OneToMany(mappedBy = "empresa", cascade = CascadeType.ALL)
    private List<EmpresaContaBancaria> empresaContaBancaria;

    @OneToMany(mappedBy = "empresa")
    @Where(clause="ACTIVO=1")
    private List<ComEmpCategoria> comEmpCategorias;

    @OneToMany(mappedBy = "empresa")
    @Where(clause="ACTIVO=1")
    private List<ComEmpFormapago> comEmpFormapagos;

    @OneToMany(mappedBy = "empresa")
    @Where(clause="ACTIVO=1")
    private List<ComEmpTipoEventoExtra> comEmpTipoEventoExtras;

    @OneToMany(mappedBy = "empresa")
    @Where(clause="ACTIVO=1")
    private List<ComEmpConferencia> comEmpConferencias;

    @Column(name = "INDGENNUMFOLIOVTAINTIMPOST")
    private Boolean indgennumfoliovtaintimpost;

    @Column(name = "INDENVIAEMAILCOMISSAO")
    private Boolean indenviaemailcomissao;

    @Column(name = "INDNAOPERMITECONFSEMMALOTE")
    private Boolean indnaopermiteconfsemmalote;

    @Column(name = "INDOBRIGANOMEPASSAGEIRO")
    private Boolean indobrigarinformarnomepassageiro;

    @Column(name = "INDBLOQVDAIMPPOSTERIOR")
    private Boolean indBloqVdaImpPosterior;
    
    @Column(name = "EMAIL_PENDENCIA")
    private String email;

    @Column(name = "INDIMPRIMEGRATUIDADE")
	private Boolean indImprimeGratuidade;

    @Column(name = "INDFIDELIDADE")
    private Boolean indFidelidade;

    @Column(name = "PONTUACAOFRAUDEINI")
    private String pontuacaoFraudeIni;

    @Column(name = "PONTUACAOFRAUDEFIM")
    private String pontuacaoFraudeFim;

	@Column(name = "INDVALIDADESCONTOTARIFA")
	private Boolean indValidaDescontoTarifa;
	
	@Column(name = "INDUTILIZAFIDELIDADE")
	private Boolean indUtilizaFidelidade;
	
	@Column(name = "INDUSAALIASLOCALIDADE")
	private Boolean indUsarAliasMapaViagem;
	
	@Column(name = "INDEMITECUPOMFISCALREMARCACAO")
	private Boolean indEmiteCupomFiscalRemarcacao;
	
	@Column(name = "INDNAOALTERARDIAGRAMA")
	private Boolean indNaoAlterarDiagrama;
	
	@Column(name = "INDIMPRIMESEGVIATRANSFERENCIA")
	private Boolean indImprimeSegviaTransferencia;
	
	@Column(name = "INDIMPRIMECUPEMBVENDAMANUAL")
	private Boolean indImprimirCupomEmbarqueVendaManual;
	
	@Column(name = "INDPERMVENMANUTODOSESTADOS")
	private Boolean indPermiteVendaManualTodosEstados;
	
	@Column(name = "INDIMPRIME2VIAS")
	private Boolean indImprime2Vias;
	
	@Column(name = "INDIMPRIME2VIASDEVOLUCAO")
	private Boolean indImprime2ViasDevolucao;
	
	@Column(name = "CODIGO_EMTU")
	private Integer codigoEmtu;
	
	@Column(name = "SEQUENCIA_EMTU")
	private Integer sequenciaEmtu;

	@Column(name = "CNAE")
	private String cnae;

	@Column(name = "TARBPE")
	private String tarBPe;
	
	@Column(name = "CRTBPE")
	private Integer crtBPe;
	
	@Column(name = "INDEMITEBPEVDAIMPPOSTERIOR")
	private Boolean indEmiteBpeVdaImpPosterior;
	
	@Column(name = "INDCANCELABPETROCAORIGDEST")
	private Boolean indCancelaBpeTrocaOrigDest;
	
	@Column(name = "INDTRANSFERENCIABPEMOVICAJA")
	private Boolean indTransferenciaBpeMoviCaja;
	
	@Column(name = "CNPJAUTORIZADORA")
	private String cnpjAutorizadora;
	
	@Column(name = "CPFCNPJ_AUTDOWNLOAD")
	private String cpfCnpjAutDownload;
	
	@Column(name = "INDUTILIZARESOLUCAO")
	private Boolean indUtilizaResolucao;
	
	@Column(name = "INDUTIFOLIOLOCAPREPAGOABERTO")
	private Boolean indUtiFolioLocaPrepagoAberto;
	
	@Column(name = "INDIMPRIME2VIASIMPRENAOFISCAL")
	private Boolean indImprime2ViasImpreNaoFiscal;
	
	@Column(name = "INDEXIBEDIFMENORTROCACEECF")
	private Boolean indExibeDiferencaMenorTrocaCupomEmbarqueEcf;
	
	@Column(name = "INDPERMITETROCAVDAABERTO")
	private Boolean indPermiteTrocaVdaAberto;
	
	@Column(name = "INDEXIBECOMISSAOZERADAAGENCIA")
	private Boolean indExibeComissaoZeradaAgencia;
	
	@Column(name = "INDPERMREATIVBPEESTNAOBPE")
	private Boolean indPermiteReativacaoPassagemBpeEstacaoNaoBpe;
	
	@Column(name = "INDIMPEMBARQDESEMBARQCUPOM")
	private Boolean indImprimirEmbarqueDesembarqCupom;
	
	@Column(name = "ANTIFRAUDEKEY")
    private String antifraudekey;					
	
	@Column(name = "INDOUTRASFPVDACALLCENTER")
	private Boolean indOutrasFPVdaCallCenter;
	
	@Column(name = "INDEMITEDABPEVDACALLCENTER")
	private Boolean indEmiteDABpeVdaCallCenter;
	
	@Column(name = "INDEMITEDABPEVDAINTERNET")
	private Boolean indEmiteDABpeVdaInternet;
	
	@Column(name = "INDEMITEDABPEVDAINTJ3")
	private Boolean indEmiteDABpeVdaIntJ3;
	
	@Column(name = "INDEMITEDABPEVDAFIDELIDADE")
	private Boolean indEmiteDABpeVdaFidelidade;
	
	@Column(name = "INDEXIGECLICOMPVDACALLCENTER")
	private Boolean indExigeClienteCompradorVdaCallCenter;
	
	@Column(name = "INDEMITECANCBPETROCAORIGDEST")
	private Boolean indEmiteDeclaracaoCancelaBpeTrocaOrigDest;

	@Column(name = "INDREAPROVEITARNUMBPEREJEITADO")
	private Boolean indReaproveitarNumBPeRejeitado;
	
	@Column(name = "INDSUBSTITUICAOIGUALSEFAZ")
	private Boolean indSubstituicaoIgualSefaz;
	
	@Column(name = "INDVENDAESTUDANTETOTEM")
	private Boolean indVendaEstudanteTotem;
	
	@Column(name = "INDIMPRIMERELFECHDETEMBARCADA")
	private Boolean indImprimeRelFechamentoViagemDetalhadoEmarcada;
	
	@Column(name = "INDIMPLOGOBILHETEVTAEMBARCADA")
	private Boolean indImprimeLogoBilheteVendaEmbarcada;
	
	@Column(name = "INDCODBARCPEMBARQUE")
	private Boolean indCodBarCpEmbarque;
	
	@Column(name = "INDEMITECOMPCANCELSITEF")
	private Boolean indEmiteComprovanteCancelamentoSitef;
	
	@Column(name = "INDIMPRIMIRCOMPPAGSEGOPCIONAL")
	private Boolean indImprimirComprovantePagamentoSeguroOpcional;
	
	@Column(name = "INDENCERRAVIAGEMFECHORLLEGADA")
	private Boolean indEncerraViagemFechorllegada;
	
	@Column(name = "INDIMPSEGOPCIONALENTVDAPOSTERI")
	private Boolean indImprimirSeguroOpcionalEntregaVdaImpPosterior;
	
	@Column(name = "INDTABELAPRECOEMBARCADA")
	private Boolean indTabelaPrecoEmbarcada;
	
	@Column(name = "INDIMPRESSAOCANHOTOEMBARCADA")
	private Boolean indImpressaoCanhotoEmbarcada;
	
	@Column(name = "INDIMPRIMEQRCODEADICIONAL")
	private Boolean indImprimeQRCodeAdicional;
	
	@Column(name = "INDALTPOSICAOCAMPOSCUPOM")
	private Boolean indAltPosicaoCamposCupom;
	
	@Column(name = "INDIMPRIMEVOUCHERPERSONALIZADO")
	private Boolean indImprimeVoucherPersonalizado;
	
	@Column(name = "INDIMPCOMPROVANTERESERVA")
	private Boolean indImpComprovanteReserva;
	
	@Column(name = "CAMPO_CUSTOM_VOUCHER")
	private String campoCustomVoucher;
	
	@Column(name = "INDENVIADADOSAGENCIABPE")
	private Boolean indEnviaDadosAgenciaBpe;
	
	@Column(name = "INDRATEIOCOMISSAOGRUPOLINHA")
	private Boolean indRateioComissaoGrupoLinha;

	@Column(name = "INDCOMISSAOGRUPOLINHAORIGINAL")
	private Boolean indComissaoGrupoLinhaOriginal;
	
	@Enumerated(EnumType.STRING)
	@Column(name = "CST_GRATUIDADE")
	private TipoCstGratuidade cstGratuidade;

	@Column(name = "INDSEGUNDAVIAFECHAMENTOCAIXA")
	private Boolean indSegundaViaFechamentoCaixa;
	
	@Column(name = "URLBASESEGURO")
	private String urlBaseEmpresaSeguro;
	
	@Column(name = "CODCONTPREVIDENCIA")
	private String codContPrevidencia;
	
	@Column(name = "INDMANTEMVDACAJAVDAEMBARCADA")
	private Boolean indMantemVdaCajaVdaEmbarcada;
	
	@Column(name = "INDALERTAVDAPOSHORARIOVIAGEM")
	private Boolean indAlertaVDAPosHorarioViagem;
	
	@Column(name = "INDCONFMOVFPTROCAVLRDEPOSITO")
	private Boolean indConfMovFPTrocaVlrDeposito;
	
	@Column(name = "INDCOMTRANSFGERACAJA")
	private Boolean indComTransfGeraCaja;
	
	@Column(name = "INDPRICINGVENDAABERTO")
	private Boolean indPricingVendaAberto;
	
	@Column(name = "INDNAOPERMITETROCAENTREEMPRESA")
	private Boolean indNaoPermiteTrocaEntreEmpresa;
	
	@Column(name = "INDVENDAABERTOMOVIMENTOCAIXA")
	private Boolean indVendaAbertoMovimentaCaixa;
	
	@Column(name = "INDICEIRK")
	private BigDecimal indiceIRK;
	
	@Column(name = "INDNAOIMPRIMECUPOMVENDABERTO")
	private Boolean indNaoImprimeCupomEmbarqueVendaAberto;

	@Column(name = "INDNAOIMPRIMECUPOMCONFABERTO")
	private Boolean indNaoImprimeCupomEmbarqueConfirmacaoAberto;
	
	@Column(name = "INDSEGUROOPCIONALW2DIGITAL")
	private Boolean indSeguroOpcionalW2Digital;
	
	@Column(name = "INDCHECKINBLOQUEADOREMARCACAO")
	private Boolean indCheckinBloqueadoRemarcacao;
	
	@Column(name = "INDAGRUPLOCCONEXAO")
	private Boolean indAgrupLocConexao;
	
	@Column(name = "INDLIMITACATEGORIAPORCORRIDA")
	private Boolean IndLimitaCategoriaPorCorrida;
	
	@Column(name = "INDSEGUNDAVIASEGOPCIONAL")
	private Boolean indSegundaViaSegOpcional;
	
	@Column(name = "INDJUROSCREDITO")
	private Boolean indJurosCredito;
	
	@Column(name = "LATITUDE ")
    private Float latitude;
    
	@Column(name = "LONGITUDE ")
    private Float longitude;
	
	@Column(name = "INDTAXACONVENIENCIASOVENDA")
	private Boolean indTaxaConvenienciaSoVenda;
	
	@Column(name = "LICENCA")
	private String licenca;
	
	@Column(name = "HORAINICIOEMBARQUE")
	@Temporal(TemporalType.TIME)
	@AuditarAtributo(pattern = "HH:mm")
	private Date horaInicioEmbarque;
	
	@Column(name = "HORAFIMEMBARQUE")
	@Temporal(TemporalType.TIME)
	@AuditarAtributo(pattern = "HH:mm")
	private Date horaFimEmbarque;
	
	@Transient
	@NaoAuditar
	private Empresa empresaClone;

	@Transient
	@NaoAuditar
	private String token;
	
	@Column(name = "INDINTEGRACAOAGR")
	private Boolean indIntegracaoAGR;
	
	@Column(name = "SENHAINTEGRACAOAGR")
	private String senhaIntegracaoAGR;

	@Column(name = "INDIMPRESSAOAPOSCONFABERTO")
	private Boolean indImpressaoAposConfAberto;;
	
	@Column(name = "INDSAFTAO")
	private Boolean indSaftao;
	
	@Column(name = "INDCUPOMEMBARQUESIMPLIFICADO")
	private Boolean indCupomEmbarqueSimplificado;
	
	@Column(name = "INDBILHETEDEVPIXDINHEIRO")
	private Boolean indBilheteDevPixDinheiro;	
	
	@Column(name = "INDCALCGRATUISOBREDESCTOTAIS")
	private Boolean indCalcGratuiSobreDescTotais;
	
	@Column(name = "INDQRCODEFORMMARCOREG")
	private Boolean indQRCodeFormMarcoReg;
	
	@Column(name = "INDIMPRIMETAXAEMBARQUENOCUPOM")
	private Boolean indImprimeTaxaEmbarqueNoCupom;
	
	public Empresa() {
		super();
	}

	public Empresa(Integer empresaId) {
		this();
		this.empresaId = empresaId;
	}

	public Empresa(Integer empresaId, String nombempresa) {
		this();
		this.empresaId = empresaId;
		this.nombempresa = nombempresa;
	}

	public Empresa(Integer empresaId, Date fecmodif) {
		this();
		this.empresaId = empresaId;
		this.fecmodif = fecmodif;
	}

	public Integer getEmpresaId() {
		return empresaId;
	}

	public void setEmpresaId(Integer empresaId) {
		this.empresaId = empresaId;
	}

	public String getNombempresa() {
		return nombempresa;
	}

	public void setNombempresa(String nombempresa) {
		this.nombempresa = nombempresa;
	}

	public Boolean getActivo() {
		return activo;
	}

	public void setActivo(Boolean activo) {
		this.activo = activo;
	}

	public Date getFecmodif() {
		return fecmodif;
	}

	public void setFecmodif(Date fecmodif) {
		this.fecmodif = fecmodif;
	}

	public Integer getUsuarioId() {
		return usuarioId;
	}

	public void setUsuarioId(Integer usuarioId) {
		this.usuarioId = usuarioId;
	}

	public List<PuntoVenta> getPuntoVentaList() {
		return puntoVentaList;
	}

	public void setPuntoVentaList(List<PuntoVenta> puntoVentaList) {
		this.puntoVentaList = puntoVentaList;
	}

	public Boolean getIndExterna() {
		return indExterna;
	}

	public void setIndExterna(Boolean indExterna) {
		this.indExterna = indExterna;
	}

	public Short getIndTipo() {
		return indTipo;
	}

	public void setIndTipo(Short indTipo) {
		this.indTipo = indTipo;
	}

	public Boolean getPagoConductor() {
		return pagoConductor;
	}

	public void setPagoConductor(Boolean pagoConductor) {
		this.pagoConductor = pagoConductor;
	}

	public String getEquivalenciaElektraId() {
		return equivalenciaElektraId;
	}

	public void setEquivalenciaElektraId(String equivalenciaElektraId) {
		this.equivalenciaElektraId = equivalenciaElektraId;
	}

	public String getEquivalenciaId() {
		return equivalenciaId;
	}

	public void setEquivalenciaId(String equivalenciaId) {
		this.equivalenciaId = equivalenciaId;
	}

	public String getRfc() {
		return rfc;
	}

	public void setRfc(String rfc) {
		this.rfc = rfc;
	}

	public String getCnpj() {
		return cnpj;
	}

	public void setCnpj(String cnpj) {
		this.cnpj = cnpj;
	}

	public String getLogradouro() {
		return logradouro;
	}

	public void setLogradouro(String logradouro) {
		this.logradouro = logradouro;
	}

	public String getNumero() {
		return numero;
	}

	public void setNumero(String numero) {
		this.numero = numero;
	}

	public String getComplemento() {
		return complemento;
	}

	public void setComplemento(String complemento) {
		this.complemento = complemento;
	}

	public String getCep() {
		return cep;
	}

	public void setCep(String cep) {
		this.cep = cep;
	}

	public String getBairro() {
		return bairro;
	}

	public void setBairro(String bairro) {
		this.bairro = bairro;
	}

	public Ciudad getCidade() {
		return cidade;
	}

	public void setCidade(Ciudad cidade) {
		this.cidade = cidade;
	}

	public List<Corrida> getCorridaList() {
		return corridaList;
	}

	public void setCorridaList(List<Corrida> corridaList) {
		this.corridaList = corridaList;
	}

	public List<Corrida> getCorridaList1() {
		return corridaList1;
	}

	public void setCorridaList1(List<Corrida> corridaList1) {
		this.corridaList1 = corridaList1;
	}

	public List<EmpresaImposto> getEmpresaImpostoList() {

		return this.empresaImpostoList;
	}

	public void setEmpresaImpostoList(List<EmpresaImposto> empresaImpostoList) {
		this.empresaImpostoList = empresaImpostoList;
	}

	public String getCodantt() {
		return codantt;
	}

	public void setCodantt(String codantt) {
		this.codantt = codantt;
	}

	@Override
	public int hashCode() {
		int hash = 0;
		hash += (getEmpresaId() != null ? getEmpresaId().hashCode() : 0);
		return hash;
	}

	@Override
	public boolean equals(Object object) {
		if (!(object instanceof Empresa)) {
			return false;
		}
		Empresa other = (Empresa) object;
		if ((this.getEmpresaId() == null && other.getEmpresaId() != null) || (this.getEmpresaId() != null && !this.getEmpresaId().equals(other.getEmpresaId()))) {
			return false;
		}
		return true;
	}

	@Override
	public String toString() {
		return this.getNombempresa();
	}


	public List<InscricaoEstadual> getInscricoesEstaduais() {
		return inscricoesEstaduais;
	}

	public List<InscricaoEstadual> getInscricoesEstaduaisActivas() {

		List<InscricaoEstadual> inscEstaduais = new ArrayList<InscricaoEstadual>();
		inscEstaduais.addAll(getInscricoesEstaduais());

		CollectionUtils.filter(inscEstaduais, new Predicate() {

			@Override
			public boolean evaluate(Object arg0) {
				return ((InscricaoEstadual)arg0).getActivo();
			}
		});

		return inscEstaduais;
	}

	public void setInscricoesEstaduais(List<InscricaoEstadual> inscricoesEstaduais) {
		this.inscricoesEstaduais = inscricoesEstaduais;
	}

	public String getNumtelefono() {
		return numtelefono;
	}

	public void setNumtelefono(String numtelefono) {
		this.numtelefono = numtelefono;
	}


	/**
	 * @return the indfechatarifa
	 */
	public Boolean getIndfechatarifa() {
		return indfechatarifa;
	}

	/**
	 * @param indfechatarifa the indfechatarifa to set
	 */
	public void setIndfechatarifa(Boolean indfechatarifa) {
		this.indfechatarifa = indfechatarifa;
	}



	public List<EmpresaContaBancaria> getEmpresaContaBancaria() {

		List<EmpresaContaBancaria> tempList = new ArrayList<EmpresaContaBancaria>();

		if (empresaContaBancaria != null) {
			for (EmpresaContaBancaria empContaBancaria : this.empresaContaBancaria) {
				if (empContaBancaria.getActivo()) {
					tempList.add(empContaBancaria);
				}
			}
		}
		return tempList;
	}

	public void setEmpresaContaBancaria(List<EmpresaContaBancaria> empresaContaBancaria) {
		this.empresaContaBancaria = empresaContaBancaria;
	}

	public Boolean getIndcarboletosdevolvidosconf() {
		return indcarboletosdevolvidosconf;
	}

	public void setIndcarboletosdevolvidosconf(Boolean indcarboletosdevolvidosconf) {
		this.indcarboletosdevolvidosconf = indcarboletosdevolvidosconf;
	}

	public List<ComEmpCategoria> getComEmpCategorias() {
		return comEmpCategorias;
	}

	public void setComEmpCategorias(List<ComEmpCategoria> comEmpCategorias) {
		this.comEmpCategorias = comEmpCategorias;
	}

	public List<ComEmpFormapago> getComEmpFormapagos() {
		return comEmpFormapagos;
	}

	public void setComEmpFormapagos(List<ComEmpFormapago> comEmpFormapagos) {
		this.comEmpFormapagos = comEmpFormapagos;
	}

	public List<ComEmpTipoEventoExtra> getComEmpTipoEventoExtras() {
		return comEmpTipoEventoExtras;
	}

	public void setComEmpTipoEventoExtras(List<ComEmpTipoEventoExtra> comEmpTipoEventoExtras) {
		this.comEmpTipoEventoExtras = comEmpTipoEventoExtras;
	}

	public List<ComEmpConferencia> getComEmpConferencias() {
		return comEmpConferencias;
	}

	public void setComEmpConferencias(List<ComEmpConferencia> comEmpConferencias) {
		this.comEmpConferencias = comEmpConferencias;
	}

	public Boolean getIndBoletoAgrupado() {
		return indBoletoAgrupado;
	}

	public void setIndBoletoAgrupado(Boolean indBoletoAgrupado) {
		this.indBoletoAgrupado = indBoletoAgrupado;
	}

	public Boolean getIndvalidabloqueioecf() {
		return indvalidabloqueioecf;
	}

	public void setIndvalidabloqueioecf(Boolean indvalidabloqueioecf) {
		this.indvalidabloqueioecf = indvalidabloqueioecf;
	}

	public Boolean getIndgennumfoliovtaintimpost() {
		return indgennumfoliovtaintimpost;
	}

	public void setIndgennumfoliovtaintimpost(Boolean indgennumfoliovtaintimpost) {
		this.indgennumfoliovtaintimpost = indgennumfoliovtaintimpost;
	}

	public Boolean getIndenviaemailcomissao() {
		return indenviaemailcomissao;
	}

	public void setIndenviaemailcomissao(Boolean indenviaemailcomissao) {
		this.indenviaemailcomissao = indenviaemailcomissao;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public Boolean getIndnaopermiteconfsemmalote() {
		return indnaopermiteconfsemmalote;
	}

	public void setIndnaopermiteconfsemmalote(Boolean indnaopermiteconfsemmalote) {
		this.indnaopermiteconfsemmalote = indnaopermiteconfsemmalote;
	}

	public Boolean getIndobrigarinformarnomepassageiro() {
		return indobrigarinformarnomepassageiro;
	}

	public void setIndobrigarinformarnomepassageiro(Boolean indobrigarinformarnomepassageiro) {
		this.indobrigarinformarnomepassageiro = indobrigarinformarnomepassageiro;
	}

	/**
	 * @return the indImprimeGratuidade
	 */
	public Boolean getIndImprimeGratuidade() {
		return indImprimeGratuidade;
	}

	/**
	 * @param indImprimeGratuidade the indImprimeGratuidade to set
	 */
	public void setIndImprimeGratuidade(Boolean indImprimeGratuidade) {
		this.indImprimeGratuidade = indImprimeGratuidade;
	}

	public Boolean getIndFidelidade() {
		return indFidelidade;
	}

	public void setIndFidelidade(Boolean indFidelidade) {
		this.indFidelidade = indFidelidade;
	}

	public String getPontuacaoFraudeIni() {
		return pontuacaoFraudeIni;
	}

	public void setPontuacaoFraudeIni(String pontuacaoFraudeIni) {
		this.pontuacaoFraudeIni = pontuacaoFraudeIni;
	}

	public String getPontuacaoFraudeFim() {
		return pontuacaoFraudeFim;
	}

	public void setPontuacaoFraudeFim(String pontuacaoFraudeFim) {
		this.pontuacaoFraudeFim = pontuacaoFraudeFim;
	}

	/**
	 * @return the indValidaDescontoTarifa
	 */
	public Boolean getIndValidaDescontoTarifa() {
		return indValidaDescontoTarifa;
	}

	/**
	 * @param indValidaDescontoTarifa the indValidaDescontoTarifa to set
	 */
	public void setIndValidaDescontoTarifa(Boolean indValidaDescontoTarifa) {
		this.indValidaDescontoTarifa = indValidaDescontoTarifa;
	}

	public Boolean getIndUtilizaFidelidade() {
		return indUtilizaFidelidade;
	}

	public void setIndUtilizaFidelidade(Boolean indUtilizaFidelidade) {
		this.indUtilizaFidelidade = indUtilizaFidelidade;
	}
	
	public Boolean getIndUsarAliasMapaViagem() {
		return indUsarAliasMapaViagem;
	}
	
	public void setIndUsarAliasMapaViagem(Boolean indUsarAliasMapaViagem) {
		this.indUsarAliasMapaViagem = indUsarAliasMapaViagem;
	}

	public Boolean getIndBilheteDevDebitoDinheiro() {
		return indBilheteDevDebitoDinheiro;
	}

	public void setIndBilheteDevDebitoDinheiro(Boolean indBilheteDevDebitoDinheiro) {
		this.indBilheteDevDebitoDinheiro = indBilheteDevDebitoDinheiro;
	}

	public Boolean getIndNaoAlterarDiagrama() {
		return indNaoAlterarDiagrama;
	}

	public void setIndNaoAlterarDiagrama(Boolean indNaoAlterarDiagrama) {
		this.indNaoAlterarDiagrama = indNaoAlterarDiagrama;
	}


	public Boolean getIndEmiteCupomFiscalRemarcacao() {
		return indEmiteCupomFiscalRemarcacao;
	}

	public void setIndEmiteCupomFiscalRemarcacao(Boolean indEmiteCupomFiscalRemarcacao) {
		this.indEmiteCupomFiscalRemarcacao = indEmiteCupomFiscalRemarcacao;
	}

	public Boolean getIndBloqVdaImpPosterior() {
		return indBloqVdaImpPosterior;
	}

	public void setIndBloqVdaImpPosterior(Boolean indBloqVdaImpPosterior) {
		this.indBloqVdaImpPosterior = indBloqVdaImpPosterior;
	}

	public Boolean getIndImprimeSegviaTransferencia() {
		return indImprimeSegviaTransferencia;
	}

	public void setIndImprimeSegviaTransferencia(Boolean indImprimeSegviaTransferencia) {
		this.indImprimeSegviaTransferencia = indImprimeSegviaTransferencia;
	}

	public Boolean getIndImprimirCupomEmbarqueVendaManual() {
		return indImprimirCupomEmbarqueVendaManual;
	}

	public void setIndImprimirCupomEmbarqueVendaManual(Boolean indImprimirCupomEmbarqueVendaManual) {
		this.indImprimirCupomEmbarqueVendaManual = indImprimirCupomEmbarqueVendaManual;
	}

	public Boolean getIndPermiteVendaManualTodosEstados() {
		return indPermiteVendaManualTodosEstados;
	}

	public void setIndPermiteVendaManualTodosEstados(Boolean indPermiteVendaManualTodosEstados) {
		this.indPermiteVendaManualTodosEstados = indPermiteVendaManualTodosEstados;
	}

	public String getNumtelsacdef() {
		return numtelsacdef;
	}

	public void setNumtelsacdef(String numtelsacdef) {
		this.numtelsacdef = numtelsacdef;
	}

	public Integer getCodigoEmtu() {
		return codigoEmtu;
	}

	public void setCodigoEmtu(Integer codigoEmtu) {
		this.codigoEmtu = codigoEmtu;
	}

	public Integer getSequenciaEmtu() {
		return sequenciaEmtu;
	}

	public void setSequenciaEmtu(Integer sequenciaEmtu) {
		this.sequenciaEmtu = sequenciaEmtu;
	}

	public Boolean getIndImprime2Vias() {
		return indImprime2Vias;
	}

	public void setIndImprime2Vias(Boolean indImprime2Vias) {
		this.indImprime2Vias = indImprime2Vias;
	}

	public String getCnae() {
		return cnae;
	}

	public void setCnae(String cnae) {
		this.cnae = cnae;
	}

	public String getTarBPe() {
		return tarBPe;
	}

	public void setTarBPe(String tarBPe) {
		this.tarBPe = tarBPe;
	}

	public Integer getCrtBPe() {
		return crtBPe;
	}

	public void setCrtBPe(Integer crtBPe) {
		this.crtBPe = crtBPe;
	}

	public Boolean getIndEmiteBpeVdaImpPosterior() {
		return indEmiteBpeVdaImpPosterior;
	}

	public void setIndEmiteBpeVdaImpPosterior(Boolean indEmiteBpeVdaImpPosterior) {
		this.indEmiteBpeVdaImpPosterior = indEmiteBpeVdaImpPosterior;
	}

	public Boolean getIndCancelaBpeTrocaOrigDest() {
		return indCancelaBpeTrocaOrigDest;
	}

	public void setIndCancelaBpeTrocaOrigDest(Boolean indCancelaBpeTrocaOrigDest) {
		this.indCancelaBpeTrocaOrigDest = indCancelaBpeTrocaOrigDest;
	}

	public Boolean getIndTransferenciaBpeMoviCaja() {
		return indTransferenciaBpeMoviCaja;
	}

	public void setIndTransferenciaBpeMoviCaja(Boolean indTransferenciaBpeMoviCaja) {
		this.indTransferenciaBpeMoviCaja = indTransferenciaBpeMoviCaja;
	}

	public String getCnpjAutorizadora() {
		return cnpjAutorizadora;
	}

	public void setCnpjAutorizadora(String cnpjAutorizadora) {
		this.cnpjAutorizadora = cnpjAutorizadora;
	}
	public Boolean getIndUtilizaResolucao() {
		return indUtilizaResolucao;
	}

	public void setIndUtilizaResolucao(Boolean indUtilizaResolucao) {
		this.indUtilizaResolucao = indUtilizaResolucao;
	}

	public Boolean getIndUtiFolioLocaPrepagoAberto() {
		return indUtiFolioLocaPrepagoAberto;
	}

	public void setIndUtiFolioLocaPrepagoAberto(Boolean indUtiFolioLocaPrepagoAberto) {
		this.indUtiFolioLocaPrepagoAberto = indUtiFolioLocaPrepagoAberto;
	}

	public Boolean getIndImprime2ViasImpreNaoFiscal() {
		return indImprime2ViasImpreNaoFiscal;
	}

	public void setIndImprime2ViasImpreNaoFiscal(Boolean indImprime2ViasImpreNaoFiscal) {
		this.indImprime2ViasImpreNaoFiscal = indImprime2ViasImpreNaoFiscal;
	}

	public Boolean getIndImprime2ViasDevolucao() {
		return indImprime2ViasDevolucao;
	}

	public void setIndImprime2ViasDevolucao(Boolean indImprime2ViasDevolucao) {
		this.indImprime2ViasDevolucao = indImprime2ViasDevolucao;
	}

	public Boolean getIndExibeDiferencaMenorTrocaCupomEmbarqueEcf() {
		return indExibeDiferencaMenorTrocaCupomEmbarqueEcf;
	}

	public void setIndExibeDiferencaMenorTrocaCupomEmbarqueEcf(Boolean indExibeDiferencaMenorTrocaCupomEmbarqueEcf) {
		this.indExibeDiferencaMenorTrocaCupomEmbarqueEcf = indExibeDiferencaMenorTrocaCupomEmbarqueEcf;
	}

	public Boolean getIndPermiteTrocaVdaAberto() {
		return indPermiteTrocaVdaAberto;
	}

	public void setIndPermiteTrocaVdaAberto(Boolean indPermiteTrocaVdaAberto) {
		this.indPermiteTrocaVdaAberto = indPermiteTrocaVdaAberto;
	}

	public Boolean getIndExibeComissaoZeradaAgencia() {
		return indExibeComissaoZeradaAgencia;
	}

	public void setIndExibeComissaoZeradaAgencia(Boolean indExibeComissaoZeradaAgencia) {
		this.indExibeComissaoZeradaAgencia = indExibeComissaoZeradaAgencia;
	}

	public Boolean getIndPermiteReativacaoPassagemBpeEstacaoNaoBpe() {
		return indPermiteReativacaoPassagemBpeEstacaoNaoBpe;
	}

	public void setIndPermiteReativacaoPassagemBpeEstacaoNaoBpe(Boolean indPermiteReativacaoPassagemBpeEstacaoNaoBpe) {
		this.indPermiteReativacaoPassagemBpeEstacaoNaoBpe = indPermiteReativacaoPassagemBpeEstacaoNaoBpe;
	}

	public Boolean getIndImprimirEmbarqueDesembarqCupom() {
		return indImprimirEmbarqueDesembarqCupom;
	}

	public void setIndImprimirEmbarqueDesembarqCupom(Boolean indImprimirEmbarqueDesembarqCupom) {
		this.indImprimirEmbarqueDesembarqCupom = indImprimirEmbarqueDesembarqCupom;
	}

	public String getAntifraudekey() {
		return antifraudekey;
	}

	public void setAntifraudekey(String antifraudekey) {
		this.antifraudekey = antifraudekey;
	}

	public Boolean getIndOutrasFPVdaCallCenter() {
		return indOutrasFPVdaCallCenter;
	}

	public void setIndOutrasFPVdaCallCenter(Boolean indOutrasFPVdaCallCenter) {
		this.indOutrasFPVdaCallCenter = indOutrasFPVdaCallCenter;
	}

	public Boolean getIndEmiteDABpeVdaCallCenter() {
		return indEmiteDABpeVdaCallCenter;
	}

	public void setIndEmiteDABpeVdaCallCenter(Boolean indEmiteDABpeVdaCallCenter) {
		this.indEmiteDABpeVdaCallCenter = indEmiteDABpeVdaCallCenter;
	}

	public Boolean getIndEmiteDABpeVdaInternet() {
		return indEmiteDABpeVdaInternet;
	}

	public void setIndEmiteDABpeVdaInternet(Boolean indEmiteDABpeVdaInternet) {
		this.indEmiteDABpeVdaInternet = indEmiteDABpeVdaInternet;
	}

	public Boolean getIndEmiteDABpeVdaIntJ3() {
		return indEmiteDABpeVdaIntJ3;
	}

	public void setIndEmiteDABpeVdaIntJ3(Boolean indEmiteDABpeVdaIntJ3) {
		this.indEmiteDABpeVdaIntJ3 = indEmiteDABpeVdaIntJ3;
	}

	public Boolean getIndEmiteDABpeVdaFidelidade() {
		return indEmiteDABpeVdaFidelidade;
	}

	public void setIndEmiteDABpeVdaFidelidade(Boolean indEmiteDABpeVdaFidelidade) {
		this.indEmiteDABpeVdaFidelidade = indEmiteDABpeVdaFidelidade;
	}

	public Boolean getIndExigeClienteCompradorVdaCallCenter() {
		return indExigeClienteCompradorVdaCallCenter;
	}

	public void setIndExigeClienteCompradorVdaCallCenter(Boolean indExigeClienteCompradorVdaCallCenter) {
		this.indExigeClienteCompradorVdaCallCenter = indExigeClienteCompradorVdaCallCenter;
	}
	
	public Boolean getIndEmiteDeclaracaoCancelaBpeTrocaOrigDest() {
		return BooleanUtils.toBoolean(indEmiteDeclaracaoCancelaBpeTrocaOrigDest);
	}
	
	public void setIndEmiteDeclaracaoCancelaBpeTrocaOrigDest(Boolean indEmiteDeclaracaoCancelaBpeTrocaOrigDest) {
		this.indEmiteDeclaracaoCancelaBpeTrocaOrigDest = indEmiteDeclaracaoCancelaBpeTrocaOrigDest;
	}

	public Boolean getIndReaproveitarNumBPeRejeitado() {
		return indReaproveitarNumBPeRejeitado;
	}

	public void setIndReaproveitarNumBPeRejeitado(Boolean indReaproveitarNumBPeRejeitado) {
		this.indReaproveitarNumBPeRejeitado = indReaproveitarNumBPeRejeitado;
	}

	public Boolean getIndSubstituicaoIgualSefaz() {
		return indSubstituicaoIgualSefaz == null ? false : indSubstituicaoIgualSefaz;
	}

	public void setIndSubstituicaoIgualSefaz(Boolean indSubstituicaoIgualSefaz) {
		this.indSubstituicaoIgualSefaz = indSubstituicaoIgualSefaz;
	}

	public Boolean getIndVendaEstudanteTotem() {
		return indVendaEstudanteTotem == null ? false : indVendaEstudanteTotem;
	}

	public void setIndVendaEstudanteTotem(Boolean indVendaEstudanteTotem) {
		this.indVendaEstudanteTotem = indVendaEstudanteTotem;
	}

	public Boolean getIndImprimeRelFechamentoViagemDetalhadoEmarcada() {
		return indImprimeRelFechamentoViagemDetalhadoEmarcada;
	}

	public void setIndImprimeRelFechamentoViagemDetalhadoEmarcada(Boolean indImprimeRelFechamentoViagemDetalhadoEmarcada) {
		this.indImprimeRelFechamentoViagemDetalhadoEmarcada = indImprimeRelFechamentoViagemDetalhadoEmarcada;
	}

	public Boolean getIndImprimeLogoBilheteVendaEmbarcada() {
		return indImprimeLogoBilheteVendaEmbarcada;
	}

	public void setIndImprimeLogoBilheteVendaEmbarcada(Boolean indImprimeLogoBilheteVendaEmbarcada) {
		this.indImprimeLogoBilheteVendaEmbarcada = indImprimeLogoBilheteVendaEmbarcada;
	}

	public Boolean getIndCodBarCpEmbarque() {
		return indCodBarCpEmbarque;
	}

	public void setIndCodBarCpEmbarque(Boolean indCodBarCpEmbarque) {
		this.indCodBarCpEmbarque = indCodBarCpEmbarque;
	}

	public Boolean getIndEmiteComprovanteCancelamentoSitef() {
		return indEmiteComprovanteCancelamentoSitef;
	}

	public void setIndEmiteComprovanteCancelamentoSitef(Boolean indEmiteComprovanteCancelamentoSitef) {
		this.indEmiteComprovanteCancelamentoSitef = indEmiteComprovanteCancelamentoSitef;
	}

	public Boolean getIndImprimirComprovantePagamentoSeguroOpcional() {
		return indImprimirComprovantePagamentoSeguroOpcional;
	}

	public void setIndImprimirComprovantePagamentoSeguroOpcional(Boolean indImprimirComprovantePagamentoSeguroOpcional) {
		this.indImprimirComprovantePagamentoSeguroOpcional = indImprimirComprovantePagamentoSeguroOpcional;
	}

	public Boolean getIndEncerraViagemFechorllegada() {
		return indEncerraViagemFechorllegada;
	}

	public void setIndEncerraViagemFechorllegada(Boolean indEncerraViagemFechorllegada) {
		this.indEncerraViagemFechorllegada = indEncerraViagemFechorllegada;
	}

	public Boolean getIndImprimirSeguroOpcionalEntregaVdaImpPosterior() {
		return indImprimirSeguroOpcionalEntregaVdaImpPosterior;
	}

	public void setIndImprimirSeguroOpcionalEntregaVdaImpPosterior(Boolean indImprimirSeguroOpcionalEntregaVdaImpPosterior) {
		this.indImprimirSeguroOpcionalEntregaVdaImpPosterior = indImprimirSeguroOpcionalEntregaVdaImpPosterior;
	}

	public Boolean getIndTabelaPrecoEmbarcada() {
		return indTabelaPrecoEmbarcada == null ? false : indTabelaPrecoEmbarcada;
	}

	public void setIndTabelaPrecoEmbarcada(Boolean indTabelaPrecoEmbarcada) {
		this.indTabelaPrecoEmbarcada = indTabelaPrecoEmbarcada;
	}

	public Boolean getIndImpressaoCanhotoEmbarcada() {
		return indImpressaoCanhotoEmbarcada == null ? false : indImpressaoCanhotoEmbarcada;
	}

	public void setIndImpressaoCanhotoEmbarcada(Boolean indImpressaoCanhotoEmbarcada) {
		this.indImpressaoCanhotoEmbarcada = indImpressaoCanhotoEmbarcada;
	}

	public Boolean getIndImprimeQRCodeAdicional() {
		return indImprimeQRCodeAdicional;
	}

	public void setIndImprimeQRCodeAdicional(Boolean indImprimeQRCodeAdicional) {
		this.indImprimeQRCodeAdicional = indImprimeQRCodeAdicional;
	}

	public Boolean getIndAltPosicaoCamposCupom() {
		return indAltPosicaoCamposCupom;
	}

	public void setIndAltPosicaoCamposCupom(Boolean indAltPosicaoCamposCupom) {
		this.indAltPosicaoCamposCupom = indAltPosicaoCamposCupom;
	}

	public Boolean getIndImprimeVoucherPersonalizado() {
		return indImprimeVoucherPersonalizado;
	}

	public void setIndImprimeVoucherPersonalizado(Boolean indImprimeVoucherPersonalizado) {
		this.indImprimeVoucherPersonalizado = indImprimeVoucherPersonalizado;
	}

	public String getCampoCustomVoucher() {
		return campoCustomVoucher;
	}

	public void setCampoCustomVoucher(String campoCustomVoucher) {
		this.campoCustomVoucher = campoCustomVoucher;
	}

	public Boolean getIndImpComprovanteReserva() {
		return indImpComprovanteReserva == null ? false : indImpComprovanteReserva;
	}

	public void setIndImpComprovanteReserva(Boolean indImpComprovanteReserva) {
		this.indImpComprovanteReserva = indImpComprovanteReserva;
	}

	public Boolean getIndEnviaDadosAgenciaBpe() {
		return indEnviaDadosAgenciaBpe == null ? false : indEnviaDadosAgenciaBpe;
	}

	public void setIndEnviaDadosAgenciaBpe(Boolean indEnviaDadosAgenciaBpe) {
		this.indEnviaDadosAgenciaBpe = indEnviaDadosAgenciaBpe;
	}

	
	public Boolean getIndRateioComissaoGrupoLinha() {
		return indRateioComissaoGrupoLinha == null ?  false : indRateioComissaoGrupoLinha;
	}

	public void setIndRateioComissaoGrupoLinha(Boolean indRateioComissaoGrupoLinha) {
		this.indRateioComissaoGrupoLinha = indRateioComissaoGrupoLinha;
	}

	public Boolean getIndComissaoGrupoLinhaOriginal() {
		return indComissaoGrupoLinhaOriginal == null ?  false : indComissaoGrupoLinhaOriginal;
	}

	public void setIndComissaoGrupoLinhaOriginal(Boolean indComissaoGrupoLinhaOriginal) {
		this.indComissaoGrupoLinhaOriginal = indComissaoGrupoLinhaOriginal;
	}

	public TipoCstGratuidade getCstGratuidade() {
		return cstGratuidade;
	}

	public void setCstGratuidade(TipoCstGratuidade cstGratuidade) {
		this.cstGratuidade = cstGratuidade;
	}
	
	public Boolean getIndSegundaViaFechamentoCaixa() {
		return indSegundaViaFechamentoCaixa ==null ? Boolean.FALSE : indSegundaViaFechamentoCaixa;
	}

	public void setIndSegundaViaFechamentoCaixa(Boolean indSegundaViaFechamentoCaixa) {
		this.indSegundaViaFechamentoCaixa = indSegundaViaFechamentoCaixa;
	}

	public String getCodder() {
		return codder;
	}
	
	public void setCodder(String codder) {
		this.codder = codder;
	}

	public Boolean getIndExigeBpeExcessoBagagem() {
		return indExigeBpeExcessoBagagem;
	}

	public void setIndExigeBpeExcessoBagagem(Boolean indExigeBpeExcessoBagagem) {
		this.indExigeBpeExcessoBagagem = indExigeBpeExcessoBagagem;
	}
		
	public Boolean getIndVendeDeBilheteSemelhante() {
		return indVendeDeBilheteSemelhante == null ? false: indVendeDeBilheteSemelhante ;
	}

	public void setIndVendeDeBilheteSemelhante(Boolean indVendeDeBilheteSemelhante) {
		this.indVendeDeBilheteSemelhante = indVendeDeBilheteSemelhante;
	}

	public String getUrlBaseEmpresaSeguro() {
		return urlBaseEmpresaSeguro;
	}

	public void setUrlBaseEmpresaSeguro(String urlBaseEmpresaSeguro) {
		this.urlBaseEmpresaSeguro = urlBaseEmpresaSeguro;
	}

	@Override
	public void clonar() throws CloneNotSupportedException {
		empresaClone = new Empresa();
		empresaClone = (Empresa) this.clone();
	}

	@Override
	public Empresa getCloneObject() throws CloneNotSupportedException {
		return empresaClone;
	}

	@Override
	public String getTextoInclusaoExclusao() {
		return String.format("ID [%s]", getEmpresaId());
	}

	public String getCodContPrevidencia() {
		return codContPrevidencia;
	}

	public void setCodContPrevidencia(String codContPrevidencia) {
		this.codContPrevidencia = codContPrevidencia;
	}

	public Boolean getIndMantemVdaCajaVdaEmbarcada() {
		return indMantemVdaCajaVdaEmbarcada != null ? indMantemVdaCajaVdaEmbarcada : false;
	}

	public void setIndMantemVdaCajaVdaEmbarcada(Boolean indMantemVdaCajaVdaEmbarcada) {
		this.indMantemVdaCajaVdaEmbarcada = indMantemVdaCajaVdaEmbarcada;
	}

	public String getCpfCnpjAutDownload() {
		return cpfCnpjAutDownload;
	}

	public void setCpfCnpjAutDownload(String cpfCnpjAutDownload) {
		this.cpfCnpjAutDownload = cpfCnpjAutDownload;
	}

	public Boolean getIndAlertaVDAPosHorarioViagem() {
		return indAlertaVDAPosHorarioViagem != null ? indAlertaVDAPosHorarioViagem : false;
	}

	public void setIndAlertaVDAPosHorarioViagem(Boolean indAlertaVDAPosHorarioViagem) {
		this.indAlertaVDAPosHorarioViagem = indAlertaVDAPosHorarioViagem;
	}

	public Boolean getIndConfMovFPTrocaVlrDeposito() {
		return indConfMovFPTrocaVlrDeposito != null ? indConfMovFPTrocaVlrDeposito : false;
	}

	public void setIndConfMovFPTrocaVlrDeposito(Boolean indConfMovFPTrocaVlrDeposito) {
		this.indConfMovFPTrocaVlrDeposito = indConfMovFPTrocaVlrDeposito;
	}

	public Boolean getIndComTransfGeraCaja() {
		return indComTransfGeraCaja != null ? indComTransfGeraCaja : false;
	}

	public void setIndComTransfGeraCaja(Boolean indComTransfGeraCaja) {
		this.indComTransfGeraCaja = indComTransfGeraCaja;
	}

	public Boolean getIndPricingVendaAberto() {
		return indPricingVendaAberto != null ? indPricingVendaAberto : false;
	}

	public void setIndPricingVendaAberto(Boolean indPricingVendaAberto) {
		this.indPricingVendaAberto = indPricingVendaAberto;
	}

	public Boolean getIndVendaAbertoMovimentaCaixa() {
		return indVendaAbertoMovimentaCaixa == null ? false : indVendaAbertoMovimentaCaixa;
	}

	public void setIndVendaAbertoMovimentaCaixa(Boolean indVendaAbertoMovimentaCaixa) {
		this.indVendaAbertoMovimentaCaixa = indVendaAbertoMovimentaCaixa;
	}
	
	public BigDecimal getIndiceIRK() {
		return indiceIRK;
	}

	public void setIndiceIRK(BigDecimal indiceIRK) {
		this.indiceIRK = indiceIRK;
	}

	public Boolean getIndNaoPermiteTrocaEntreEmpresa() {
		return indNaoPermiteTrocaEntreEmpresa != null ? indNaoPermiteTrocaEntreEmpresa : false;
	}

	public void setIndNaoPermiteTrocaEntreEmpresa(Boolean indNaoPermiteTrocaEntreEmpresa) {
		this.indNaoPermiteTrocaEntreEmpresa = indNaoPermiteTrocaEntreEmpresa;
	}

	public Boolean getIndNaoImprimeCupomEmbarqueVendaAberto() {
		return indNaoImprimeCupomEmbarqueVendaAberto == null ? false : indNaoImprimeCupomEmbarqueVendaAberto;
	}

	public void setIndNaoImprimeCupomEmbarqueVendaAberto(Boolean indNaoImprimeCupomEmbarqueVendaAberto) {
		this.indNaoImprimeCupomEmbarqueVendaAberto = indNaoImprimeCupomEmbarqueVendaAberto;
	}

	public Boolean getIndNaoImprimeCupomEmbarqueConfirmacaoAberto() {
		return indNaoImprimeCupomEmbarqueConfirmacaoAberto == null ? false : indNaoImprimeCupomEmbarqueConfirmacaoAberto;
	}

	public void setIndNaoImprimeCupomEmbarqueConfirmacaoAberto(Boolean indNaoImprimeCupomEmbarqueConfirmacaoAberto) {
		this.indNaoImprimeCupomEmbarqueConfirmacaoAberto = indNaoImprimeCupomEmbarqueConfirmacaoAberto;
	}

	public Boolean getIndSeguroOpcionalW2Digital() {
		return indSeguroOpcionalW2Digital == null ? false : indSeguroOpcionalW2Digital;
	}

	public void setIndSeguroOpcionalW2Digital(Boolean indSeguroOpcionalW2Digital) {
		this.indSeguroOpcionalW2Digital = indSeguroOpcionalW2Digital;
	}
	
	public Boolean getIndCheckinBloqueadoRemarcacao() {
		return indCheckinBloqueadoRemarcacao;
	}

	public void setIndCheckinBloqueadoRemarcacao(Boolean indCheckinBloqueadoRemarcacao) {
		this.indCheckinBloqueadoRemarcacao = indCheckinBloqueadoRemarcacao;
	}
	
	public Boolean getIndAgrupLocConexao() {
		return indAgrupLocConexao!=null ? indAgrupLocConexao : Boolean.FALSE;
	}

	public void setIndAgrupLocConexao(Boolean indAgrupLocConexao) {
		this.indAgrupLocConexao = indAgrupLocConexao;
	}


	public Boolean getIndLimitaCategoriaPorCorrida() {
		return IndLimitaCategoriaPorCorrida;
	}

	public void setIndLimitaCategoriaPorCorrida(Boolean indLimitaCategoriaPorCorrida) {
		IndLimitaCategoriaPorCorrida = indLimitaCategoriaPorCorrida;
	}

	public Boolean getIndSegundaViaSegOpcional() {
		return indSegundaViaSegOpcional == null ? false : indSegundaViaSegOpcional;
	}

	public void setIndSegundaViaSegOpcional(Boolean indSegundaViaSegOpcional) {
		this.indSegundaViaSegOpcional = indSegundaViaSegOpcional;
	}

	public Boolean getIndJurosCredito() {
		return indJurosCredito;
	}

	public void setIndJurosCredito(Boolean indJurosCredito) {
		this.indJurosCredito = indJurosCredito;
	}

	public Float getLatitude() {
		return latitude;
	}

	public void setLatitude(Float latitude) {
		this.latitude = latitude;
	}

	public Float getLongitude() {
		return longitude;
	}

	public void setLongitude(Float longitude) {
		this.longitude = longitude;
	}

	public Boolean getIndTaxaConvenienciaSoVenda() {
		return indTaxaConvenienciaSoVenda == null ? false : indTaxaConvenienciaSoVenda;
	}

	public void setIndTaxaConvenienciaSoVenda(Boolean indTaxaConvenienciaSoVenda) {
		this.indTaxaConvenienciaSoVenda = indTaxaConvenienciaSoVenda;
	}

	public Date getHoraInicioEmbarque() {
		return horaInicioEmbarque;
	}

	public void setHoraInicioEmbarque(Date horaInicioEmbarque) {
		this.horaInicioEmbarque = horaInicioEmbarque;
	}

	public Date getHoraFimEmbarque() {
		return horaFimEmbarque;
	}

	public void setHoraFimEmbarque(Date horaFimEmbarque) {
		this.horaFimEmbarque = horaFimEmbarque;
	}

	public String getToken() {
		return token;
	}

	public void setToken(String token) {
		this.token = token;
	}

	public String getLicenca() {
		return licenca;
	}

	public void setLicenca(String licenca) {
		this.licenca = licenca;
	}

	public Boolean getIndIntegracaoAGR() {
		return indIntegracaoAGR == null ? false : indIntegracaoAGR;
	}

	public void setIndIntegracaoAGR(Boolean indIntegracaoAGR) {
		this.indIntegracaoAGR = indIntegracaoAGR;
	}

	public String getSenhaIntegracaoAGR() {
		return senhaIntegracaoAGR;
	}

	public void setSenhaIntegracaoAGR(String senhaIntegracaoAGR) {
		this.senhaIntegracaoAGR = senhaIntegracaoAGR;
	}

	public Boolean getIndImpressaoAposConfAberto() {
		return indImpressaoAposConfAberto;
	}

	public void setIndImpressaoAposConfAberto(Boolean indImpressaoAposConfAberto) {
		this.indImpressaoAposConfAberto = indImpressaoAposConfAberto;
	}

	public Boolean getIndSaftao() {
		return indSaftao;
	}

	public void setIndSaftao(Boolean indSaftao) {
		this.indSaftao = indSaftao;
	}

	public Boolean getIndCupomEmbarqueSimplificado() {
		return indCupomEmbarqueSimplificado==null?false:indCupomEmbarqueSimplificado;
	}

	public void setIndCupomEmbarqueSimplificado(Boolean indCupomEmbarqueSimplificado) {
		this.indCupomEmbarqueSimplificado = indCupomEmbarqueSimplificado;
	}

	public Boolean getIndBilheteDevPixDinheiro() {
		return indBilheteDevPixDinheiro==null?false:indBilheteDevPixDinheiro;
	}

	public void setIndBilheteDevPixDinheiro(Boolean indBilheteDevPixDinheiro) {
		this.indBilheteDevPixDinheiro = indBilheteDevPixDinheiro;
	}

	public Boolean getIndCalcGratuiSobreDescTotais() {
		return indCalcGratuiSobreDescTotais;
	}

	public void setIndCalcGratuiSobreDescTotais(Boolean indCalcGratuiSobreDescTotais) {
		this.indCalcGratuiSobreDescTotais = indCalcGratuiSobreDescTotais;
	}

	public Boolean getIndQRCodeFormMarcoReg() {
		return indQRCodeFormMarcoReg;
	}

	public void setIndQRCodeFormMarcoReg(Boolean indQRCodeFormMarcoReg) {
		this.indQRCodeFormMarcoReg = indQRCodeFormMarcoReg;
	}

	public Boolean getIndImprimeTaxaEmbarqueNoCupom() {
		return indImprimeTaxaEmbarqueNoCupom == null ? false : indImprimeTaxaEmbarqueNoCupom;
	}

	public void setIndImprimeTaxaEmbarqueNoCupom(Boolean indImprimeTaxaEmbarqueNoCupom) {
		this.indImprimeTaxaEmbarqueNoCupom = indImprimeTaxaEmbarqueNoCupom;
	}	
}
